import 'package:flutter/material.dart';

class ProgressIndicatorDashes extends StatelessWidget {
  final int total;
  final int active;

  const ProgressIndicatorDashes({
    super.key,
    required this.total,
    required this.active,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: List.generate(total, (index) {
        return Container(
          margin: const EdgeInsets.symmetric(horizontal: 4),
          width: 40,
          height: 6,
          decoration: BoxDecoration(
            color: index < active
                ? const Color(0xffF95F62)
                : const Color(0xffFCE7E7),
            borderRadius: BorderRadius.circular(6),
          ),
        );
      }),
    );
  }
}
